import Joi from "joi";

export const addInstructorCourseValidator = Joi.object({
    user_id: Joi.number().required(),
    course_id: Joi.number().required(),
});

export const CreateCourseValidator = Joi.object({
    category_id: Joi.number().required(),
    title: Joi.object({
        th: Joi.string().required(),
        en: Joi.string().required(),
    }).required(),
    slug: Joi.string().required(),
    description: Joi.object({
        th: Joi.string().required(),
        en: Joi.string().required(),
    }).required(),
    price: Joi.number().required(),
    is_free: Joi.boolean().required(),
    have_certificate: Joi.boolean().required(),
});
